<Project Sdk="Microsoft.NET.Sdk">

	<PropertyGroup>
		<OutputType>WinExe</OutputType>
		<TargetFramework>net8.0-windows</TargetFramework>
		<Nullable>enable</Nullable>
		<ImplicitUsings>enable</ImplicitUsings>
		<OutputPath>$(SolutionDir)Binary\Analizer</OutputPath>
		<AppendTargetFrameworkToOutputPath>false</AppendTargetFrameworkToOutputPath>
		<UseWPF>true</UseWPF>
		<ManagePackageVersionsCentrally>true</ManagePackageVersionsCentrally>
	</PropertyGroup>

	<PropertyGroup>
		<OutputPath>$(SolutionDir)Binary</OutputPath>
		<AppendTargetFrameworkToOutputPath>false</AppendTargetFrameworkToOutputPath>
		<ManagePackageVersionsCentrally>true</ManagePackageVersionsCentrally>
		<OutputPath>$(SolutionDir)Binary\Analizer\Proxima</OutputPath>
		<ApplicationIcon>MyLogoNormal.ico</ApplicationIcon>
		<AllowUnsafeBlocks>true</AllowUnsafeBlocks>

	</PropertyGroup>

	<ItemGroup>
	  <Content Include="MyLogoNormal.ico" />
	</ItemGroup>

	<ItemGroup>
	  <PackageReference Include="CommunityToolkit.Mvvm" />
	  <PackageReference Include="Mapster" />
	  <PackageReference Include="Prism.DryIoc" />
	  <PackageReference Include="ScottPlot.WPF" />
	</ItemGroup>

	<ItemGroup>
	  <ProjectReference Include="..\..\DataBase\SqlSugarORM\SqlSugarORM.csproj" />
	  <ProjectReference Include="..\..\Data\DataService\DataService.csproj" />
	  <ProjectReference Include="..\..\UICommon\UICommon.csproj" />
	</ItemGroup>

</Project>
